org.apache.http.benchmark

## Class Results

- java.lang.Object
- - org.apache.http.benchmark.Results

    public final class Results
    extends Object

Benchmark results

Since:
  4.3

### Method Summary

Methods
`int` `getConcurrencyLevel()`
`long` `getContentLength()`
`String` `getDocumentPath()`
`long` `getFailureCount()`
`String` `getHostName()`
`int` `getHostPort()`
`long` `getKeepAliveCount()`
`String` `getServerName()`
`long` `getSuccessCount()`
`long` `getTotalBytes()`
`long` `getTotalBytesRcvd()`
`long` `getTotalBytesSent()`
`long` `getTotalTimeNano()`
`long` `getWriteErrors()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getServerName

    public String getServerName()

#### getHostName

    public String getHostName()

#### getHostPort

    public int getHostPort()

#### getDocumentPath

    public String getDocumentPath()

#### getContentLength

    public long getContentLength()

#### getConcurrencyLevel

    public int getConcurrencyLevel()

#### getTotalTimeNano

    public long getTotalTimeNano()

#### getSuccessCount

    public long getSuccessCount()

#### getFailureCount

    public long getFailureCount()

#### getWriteErrors

    public long getWriteErrors()

#### getKeepAliveCount

    public long getKeepAliveCount()

#### getTotalBytesRcvd

    public long getTotalBytesRcvd()

#### getTotalBytesSent

    public long getTotalBytesSent()

#### getTotalBytes

    public long getTotalBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`